Skip to main content
PUT
/
api
/
v1
/
workflows
/
{workflow_id}
Update Workflow
curl --request PUT \
  --url https://api.example.com/api/v1/workflows/{workflow_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "trigger_type": "<string>",
  "trigger_config": {},
  "auto_accept": true,
  "auto_accept_preferences": {},
  "max_budget_cents": 123,
  "status": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "trigger_type": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "source_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "trigger_config": {},
  "is_template": false,
  "template_category": "<string>",
  "auto_accept": false,
  "auto_accept_preferences": {},
  "max_budget_cents": 123,
  "nodes": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "position": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "node_type": "task",
      "parallel_group": 123,
      "depends_on": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "task_template": {},
      "node_config": {},
      "input_mapping": {},
      "retry_count": 0,
      "max_retries": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string<uuid>
required

Body

application/json
title
string | null
description
string | null
trigger_type
string | null
trigger_config
Trigger Config · object
auto_accept
boolean | null
auto_accept_preferences
Auto Accept Preferences · object
max_budget_cents
integer | null
status
string | null

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
title
string
required
trigger_type
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
source_project_id
string<uuid> | null
description
string | null
trigger_config
Trigger Config · object
is_template
boolean
default:false
template_category
string | null
auto_accept
boolean
default:false
auto_accept_preferences
Auto Accept Preferences · object
max_budget_cents
integer | null
nodes
WorkflowNodeResponse · object[]